Bug 117512 - The loading of the properties dialog form settings is a little slow when opening it with double click
Summary: The loading of the properties dialog form settings is a little slow when open...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: haveBacktrace, perf
Depends on:
Blocks: Form-Controls
  Show dependency treegraph
 
Reported: 2018-05-08 19:20 UTC by Telesto
Modified: 2021-06-12 03:49 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Callgrind output from master (1.94 MB, application/x-xz)
2018-06-11 14:08 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-05-08 19:20:35 UTC
Description:
The loading of the properties dialog form settings is a little slow when opening it with double click

Steps to Reproduce:
1. Open Writer
2. Insert a label field
3. Double click within the 'shape'. Takes 2 seconds or so
4. Compare it with Right Click -> Form/Control

Actual Results:  
The properties dialog is opening slowly when using the double click command

Expected Results:
Should be the same speed as Right Click -> Form/Control


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.1.0.0.alpha1+
Build ID: 08441d466dd70c203a519a133aaf1a5997adbbd3
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-05-06_23:59:40
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Buovjaga 2018-06-08 18:39:00 UTC
For testers: View - Toolbars - Form controls: Label field

Congrats, you found an oldie.

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: 67aaa98600269e6b8fa631146c3649a261369471
CPU threads: 8; OS: Linux 4.16; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on June 7th 2018

Arch Linux 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 2 Buovjaga 2018-06-11 14:08:19 UTC
Created attachment 142654 [details]
Callgrind output from master

I took a callgrind trace only for the double-clicking using a cool method I learned from StackOverflow. I will add it to the wiki.

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: 1f08bff31238d5818c54a0b86570689644dff087
CPU threads: 8; OS: Linux 4.16; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on June 11th 2018
Comment 3 QA Administrators 2019-06-12 02:58:28 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2021-06-12 03:49:42 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug